This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 675796 - [abrt] evolution-data-server-2.32.1-2.fc14: Process /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-2.32.1-2.fc14: Process /usr/libexec/e-addressboo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:4dd899ae61fbaa8c21ed35c0fc5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-07 14:11 EST by Matthew Saltzman
Modified: 2012-08-16 10:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 10:15:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.82 KB, text/plain)
2011-02-07 14:11 EST, Matthew Saltzman
no flags Details
Attachment for https://bugzilla.redhat.com/show_bug.cgi?id=675796#c6 (26.56 KB, text/plain)
2011-12-20 17:52 EST, Chandana De Silva
no flags Details
another attchment for https://bugzilla.redhat.com/show_bug.cgi?id=675796#c6 (665.65 KB, application/x-gzip)
2011-12-20 18:01 EST, Chandana De Silva
no flags Details

  None (edit)
Description Matthew Saltzman 2011-02-07 14:11:03 EST
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/e-addressbook-factory
component: evolution-data-server
crash_function: g_hash_table_lookup_node_for_insertion
executable: /usr/libexec/e-addressbook-factory
kernel: 2.6.35.10-74.fc14.x86_64
package: evolution-data-server-2.32.1-2.fc14
rating: 4
reason: Process /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1297105451
uid: 500

How to reproduce
-----
1. Right-click address in received e-mail
2. Select Add to address book
3. Select Contacts (Exchange contact list accessed via exchange-connector)
4. Crash
Comment 1 Matthew Saltzman 2011-02-07 14:11:05 EST
Created attachment 477483 [details]
File: backtrace
Comment 2 Milan Crha 2011-02-08 06:13:15 EST
Thanks for a bug report. What is your libsoup version, please? And if it is not 2.32.2 or later, could you try with it, please?

Dan, does this seem familiar to you, please?
Comment 3 Dan Winship 2011-02-08 08:27:10 EST
(In reply to comment #2)
> Dan, does this seem familiar to you, please?

Nope
Comment 4 Matthew Saltzman 2011-02-08 08:48:14 EST
libsoup-2.32.2-1.fc14.x86_64
Comment 5 Milan Crha 2011-02-09 02:22:25 EST
(In reply to comment #4)
> libsoup-2.32.2-1.fc14.x86_64

Good, that's the latest. By any luck, are you able to reproduce this reliably, please? Because you have the latest libsoup then I suspect evolution/evolution-exchange doing bad things with memory, which may valgrind help on that.

In case you can reproduce this, could you try these steps, please?
a) close evolution and e-addressbook-factory
b) make sure you've installed debug info packages for libsoup,
   evolution-data-server, evolution and evolution-exchange.
c) run factory on one console as this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 \
      /usr/libexec/e-addressbook-factory &>evo.txt
d) run evolution from another console and reproduce the issue

After it crashes the evo.txt file may contain desired information. Thanks in advance.
Comment 6 Chandana De Silva 2011-12-20 17:51:07 EST
I am running FC16 and an facing the same error. However, I am not using Exchanege. My address book is an LDAP server based on Zimbra.


These are the RPM's I have installed. I am happy to do any diagnostics 

[chandana@fatta ~]$ rpm -qa | grep -E "evolution|soup"
evolution-NetworkManager-3.2.2-1.fc16.x86_64
evolution-debuginfo-3.2.1-1.fc16.x86_64
evolution-data-server-3.2.2-1.fc16.x86_64
libsoup-2.36.1-2.fc16.x86_64
evolution-data-server-debuginfo-3.2.1-1.fc16.x86_64
evolution-3.2.2-1.fc16.x86_64
libsoup-debuginfo-2.36.1-2.fc16.x86_64
Comment 7 Chandana De Silva 2011-12-20 17:52:30 EST
Created attachment 548947 [details]
Attachment for https://bugzilla.redhat.com/show_bug.cgi?id=675796#c6
Comment 8 Chandana De Silva 2011-12-20 18:01:14 EST
Created attachment 548948 [details]
another attchment for https://bugzilla.redhat.com/show_bug.cgi?id=675796#c6

Syslog extract for above

Dec 21 09:31:18 localhost kernel: [ 1973.624053] e-addressbook-f[3894]: segfault at 8 ip 000000341722775c sp 00007fed1f52d088 error 6 in libdbus-1.so.3.5.6[341720
0000+43000]
Dec 21 09:31:18 localhost abrt[3923]: Saved core dump of pid 3885 (/usr/libexec/e-addressbook-factory) to /var/spool/abrt/ccpp-2011-12-21-09:31:18-3885 (54878208 
bytes)
Dec 21 09:31:18 localhost abrtd: Directory 'ccpp-2011-12-21-09:31:18-3885' creation detected
Dec 21 09:31:18 localhost abrtd: New problem directory /var/spool/abrt/ccpp-2011-12-21-09:31:18-3885, processing
Comment 9 Chandana De Silva 2011-12-21 02:34:11 EST
My ABRT Tool has created a new bug https://bugzilla.redhat.com/show_bug.cgi?id=769523
Comment 10 Milan Crha 2011-12-21 04:23:08 EST
(In reply to comment #6)
> I am running FC16 and an facing the same error. However, I am not using
> Exchanege. My address book is an LDAP server based on Zimbra.

Why do you think it's same? It seems to me different, unless some kind of memory corruption. I would rather move to bug #769523 and investigate there, and if it'll turn out that it's the same issue, then we can merge them (though it'll be hard to "prove" with memory corruption issues).
Comment 11 Chandana De Silva 2011-12-22 05:06:03 EST
Thanks for looking at this. I have done the update, but could not make it crash. I am not sure if this is connected, but I have not been able to get it to copy my ldap address book for offline operation.


Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : evolution-data-server-debuginfo-3.2.2-1.fc16.x86_64                                                                                                                  1/4 
  Updating   : evolution-debuginfo-3.2.2-1.fc16.x86_64                                                                                                                              2/4 
  Cleanup    : evolution-data-server-debuginfo-3.2.1-1.fc16.x86_64                                                                                                                  3/4 
  Cleanup    : evolution-debuginfo-3.2.1-1.fc16.x86_64                                                                                                                              4/4 

Updated:
  evolution-data-server-debuginfo.x86_64 0:3.2.2-1.fc16                                            evolution-debuginfo.x86_64 0:3.2.2-1.fc16
Comment 12 Milan Crha 2011-12-22 05:51:45 EST
(In reply to comment #11)
> Thanks for looking at this. I have done the update, but could not make it
> crash. I am not sure if this is connected, but I have not been able to get it
> to copy my ldap address book for offline operation.

Hmm, hard to tell. You can try to repeat this from scratch, thus it'll re-fetch the crashing contact again. The only thing to do is:
a) stop evolution and all evolution-related processes, like
   evolution-alarm-notify, e-calendar-factory, e-addressbook-factory
b) purge the local ldap cache, which is stored in
   ~/.cache/evolution/addressbook/ldap...
   you can safely delete the folder, because it's just a local copy of
   the contacts from the server.
c) continue with steps from comment #5
Comment 13 Chandana De Silva 2011-12-22 17:49:56 EST
Evolution has been behaving perfectly since yesterday. Until then I would be getting the above /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV) error at least 3 or 4 times.

I will keep trying to reproduce it.

Thanks for your patience.
Comment 14 Chandana De Silva 2011-12-23 19:18:21 EST
This seems to happen only when the computer starts up from cold. I am using a laptop with a wireless connection, and it is possible that this crash is due to the fact that there is no network access when Evolution Data server starts up. I will connect this to a physical connection and report back.
In the mean time, I do not know how this service is started up. I cannot find it under systemd. If the startup can be delayed until a network connection is available, it may resolve the issue.

Thank you, and have a happy Christmas!
Comment 15 Milan Crha 2012-01-02 04:36:10 EST
(In reply to comment #14)
> In the mean time, I do not know how this service is started up. I cannot find
> it under systemd. If the startup can be delayed until a network connection is
> available, it may resolve the issue.

It's DBus service, and any application using addressbook library from evolution-data-server can start (it's started on demand). It's similar like with e-calendar-factory, which is run on start by evolution-alarm-notify process. If you've set Birthday & Anniversaries calendar to notify you about events from that calendar, then also e-addressbook-factory is opened on session start. Disabling Evolution Alarm Notify process from session start applications may stop running them on start, if it was the cause.
Comment 16 Fedora End Of Life 2012-08-16 10:15:40 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.